jQuery(function () {
    var localizador = jQuery('#localizador').val();
    //llama al mismo cargar_info que el modificar
    cargarResumenLocalizadorComun(localizador, 0);
    try {
        var extras = obtener_posibles_extras(localizador);

        if(extras.length > 0){   
            var campos_extras_html = '';
            extras.forEach(extra => {  
                campos_extras_html += cargaCompraOKExtraServicios(extra);
            });

            jQuery('#DivDatosExtrasServicio-extras').show();
                            
            jQuery("#DivContenidoExtrasServicio").html(campos_extras_html);	
            var a = jQuery("#DivBotonMisExtras").html();
            
            jQuery('[id="DivExtrasEnlace"]').html(a);
            jQuery("#DivBotonMisExtras").hide();

            jQuery('[id="DivDatosExtrasServicioMejora-extras"]').on( "click", function() {
                window.open(jQuery('#BtnMisExtras').attr('href'), '_blank');
            });
                  
        }else{
            jQuery('#DivDatosExtrasServicio-extras').hide();

        }
        
    } catch (error) {
        
    }
});